/*
 * TcpServerReset.h
 *
 *  Created on: Dec 7, 2009
 *      Author: Tod
 */

#ifndef TCPSERVERRESET_H_
#define TCPSERVERRESET_H_

#include <constants.h>

class TcpServerReset
{
	public:
		TcpServerReset();
		static void InitializeWrapper(void* const pd);
		bool IsConnectionReset();
		void ClearConnectionReset();


	private:
		bool _resetIssued;
		static const int RESET_PORT = 0xD1E;
		static const int RESET_INTERVAL = 30 * TICKS_PER_SECOND;

		void Initialize( void * const pd) ;

};

#endif /* TCPSERVERRESET_H_ */
