/*
 * ServiceProvider.h
 *
 *  Created on: Nov 18, 2009
 *      Author: Tod
 */

#ifndef SERVICEPROVIDER_H_
#define SERVICEPROVIDER_H_

class HtmlServices;
class Startup;
class TcpServer;
class TcpServerReset;

class ServiceProvider
{
	public:
		static HtmlServices& GetHtmlServiceAsSingleton();
		static TcpServer& GetTcpServerAsSingleton();
		static TcpServerReset& GetTcpServerResetAsSingleton();

	private:
		static HtmlServices _instanceHtmlService;
		static TcpServerReset _instanceTcpServerReset;
		static TcpServer _instanceTcpServer;

		ServiceProvider();

};

#endif /* SERVICEPROVIDER_H_ */
