/*
 * Startup.h
 *
 *  Created on: Nov 18, 2009
 *      Author: Tod
 */

#ifndef STARTUP_H_
#define STARTUP_H_

#include <string>
#include <basictypes.h>
#include <ucos.h>
#include "HtmlServices.h"
#include "TcpServer.h"
#include "TcpServerReset.h"

class Startup
{
	public:
		Startup(HtmlServices& theHtmlServices, TcpServer& theTcpServer, TcpServerReset& theTcpServerReset);
		void ShellInit();
		void MainEventLoop();

	private:
		HtmlServices _htmlServices;
		TcpServer _tcpServer;
		TcpServerReset _tcpServerReset;
		void ParseIncomingMsg(std::string userMsg);
		void GetAndShowDhcpAddress();

};

#endif /* STARTUP_H_ */
